package com.persagy.apm.alarmservice.common.configuration.rabbitmq;

import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * rabbitmq消息配置
 *
 * @author lixing
 * @version V1.0 2021/10/11 9:03 下午
 **/
@Configuration
public class RabbitMsgConfig {
//    @Bean
//    public HttpMessageConverters customConvertersAlarmservice() {
//        MappingJackson2HttpMessageConverter converter = new MappingJackson2HttpMessageConverter();
//        converter.setObjectMapper(JacksonMapper.nonEmptyMapper);
//        return new HttpMessageConverters(converter);
//    }

    // JMS 使用
    @Bean
    public MessageConverter customMessageConvertAlarmservice() {
        return new Jackson2JsonMessageConverter();
    }
}
